Package org.apache.sis.storage.earthobservation

# Class LandsatStore

Object
DataStore
LandsatStore
LandsatStore

All Implemented Interfaces:
  `AutoCloseable`, `Aggregate`, `Resource`, `Localized`

@Deprecated public class LandsatStore extends LandsatStore
Deprecated.
Moved to the `org​.apache​.sis​.storage​.landsat` package.
Parses Landsat metadata as ISO 19115 Metadata object. Landsat data are distributed as a collection of TIFF files, together with a single text file like below:

>     GROUP = L1_METADATA_FILE
>       GROUP = METADATA_FILE_INFO
>         ORIGIN = "Image courtesy of the U.S. Geological Survey"
>         REQUEST_ID = "0501403126384_00011"
>         LANDSAT_SCENE_ID = "LC81230522014071LGN00"
>         FILE_DATE = 2014-03-12T06:06:35Z
>         STATION_ID = "LGN"
>         PROCESSING_SOFTWARE_VERSION = "LPGS_2.3.0"
>       END_GROUP = METADATA_FILE_INFO
>       GROUP = PRODUCT_METADATA
>         DATA_TYPE = "L1T"
>         ELEVATION_SOURCE = "GLS2000"
>         OUTPUT_FORMAT = "GEOTIFF"
>         SPACECRAFT_ID = "LANDSAT_8"
>         SENSOR_ID = "OLI_TIRS"
>         etc...

This class reads the content from the given input until the first occurrence of the `END` keyword. Lines beginning with the `#` character (ignoring spaces) are treated as comment lines and ignored.

Since:
  0.8

Defined in the `sis-earth-observation` module

- ## Field Summary

  ### Fields inherited from class DataStore

  `listeners, provider`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LandsatStore(LandsatStoreProvider provider, StorageConnector connector)`
  Deprecated.
  Creates a new Landsat store from the given file, URL, stream or character reader.

- ## Method Summary

  ### Methods inherited from class LandsatStore

  `addListener, close, components, getDisplayName, getIdentifier, getMetadata, getOpenParameters`

  ### Methods inherited from class DataStore

  `findResource, getLocale, getNativeMetadata, getProvider, removeListener, setLocale, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface Resource

  `removeListener`

- ## Constructor Details

  - ### LandsatStore

    public LandsatStore(LandsatStoreProvider provider, StorageConnector connector) throws DataStoreException
    Deprecated.
    Creates a new Landsat store from the given file, URL, stream or character reader. This constructor invokes `StorageConnector​.closeAllExcept(Object)`, keeping open only the needed resource.
    Parameters:
      `provider` - the factory that created this `DataStore` instance, or `null` if unspecified.
      `connector` - information about the storage (URL, stream, reader instance, etc).
    Throws:
      `DataStoreException` - if an error occurred while opening the Landsat file.